Name:           libimagequant
Version:        2.8.2
Release:        2%{?dist}
Summary:        Palette quantization library

License:        GPLv3+ and MIT
URL:            https://github.com/ImageOptim/libimagequant
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc

%description
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%configure --with-openmp
%make_build shared


%install
install -Dpm 0755 %{name}.so.0 %{buildroot}%{_libdir}/%{name}.so.0
ln -s %{name}.so.0 %{buildroot}%{_libdir}/%{name}.so
install -Dpm 0644 %{name}.h %{buildroot}%{_includedir}/%{name}.h


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYRIGHT
%doc README.md CHANGELOG
%{_libdir}/%{name}.so.0

%files devel
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so


%changelog
* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 2.8.2-2
- Use %%name and %%url to reduce text

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 2.8.2-1
- Initial package
